<?php
	require_once("Pest.php");

	$url = 'https://main.metakocka.si/rest/eshop/v1/json/put_sales_bill';
	$company_id = '16';
	$secret_key = 'test';

	$requestJSON = array (
		'secret_key'=>$secret_key, 'company_id'=>$company_id, 'count_code'=>'eshop_003', 
		'bill_date'=>'12.03.2011', 'payment_date'=>'12.03.2011', 'location_of_service'=>'Komenda', 
		'partner'=>array(
	      'business_entity'=>'true',
    	  'taxpayer'=>'true',
	      'foreign_county'=>'false',
	      'tax_id_number'=>'SI10040073',
    	  'customer'=>'eshop 1',
	      'street'=>'Slovenska cesta 100',
    	  'post_number'=>'1000',
	      'place'=>'Ljubljana',
    	  'country'=>'Slovenia'
		),
		'mark_paid'=>array(
	      'transaction_type'=>'bank_transaction',
    	  'date'=>'25.03.2011',
	      'amount'=>'12,34',
		),
		'product_list'=>array(
			array(
	         'count_code'=>'2',
    	     'amount'=>'10',
	         'price'=>'11',
    	     'discount'=>'12',
        	 'tax'=>'085'    			
			),
			array(			
	         'code'=>'eshop_artikel_1',
    	     'amount'=>'20',
        	 'price'=>'21',
	         'discount'=>'22',
    	     'tax'=>'200'         			
			),			
			array(						
	         'count_code'=>'eshop_artikel_2',
    	     'code'=>'eshop_artikel_2',
        	 'name'=>'eshop_artikel_2',
	         'name_desc'=>'eshop_artikel_2 opis',
    	     'unit'=>'kom',
        	 'service'=>'false',
	         'sales'=>'true',
    	     'purchasing'=>'false',
        	 'amount'=>'30',
	         'price'=>'31',
    	     'discount'=>'32',
        	 'tax'=>'000'			
			)			
		)
	);

	echo '<html><body>';
	echo '<b>URL</b> : '.$url.'<br/>';
	echo '<b>POST data</b> : '.json_encode($requestJSON).'<br/>';
	echo '<hr/>';
	echo '<b>Request start...</b><br/>';
	$pest = new Pest($url);
	$thing = $pest->post('', 'application/json', json_encode($requestJSON));
	
	echo '<b>Respond : </b>'.$thing;
	echo '</body></html>';	
?>